Bug 4040 - [UPDATE REQUEST] chromium-browser-stable chromium-browser-pepper-flash
: [UPDATE REQUEST] chromium-browser-stable chromium-browser-pepper-flash
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-22 13:45 MSD by Arkady L. Shane
Modified: 2014-06-02 11:47 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (199.70 KB, image/png)
2014-05-22 14:45 MSD, Vladimir Potapov
Details
ss2 (109.17 KB, image/png)
2014-05-22 14:48 MSD, Vladimir Potapov
Details
ss2 (46.49 KB, image/png)
2014-05-23 12:33 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arkady L. Shane 2014-05-22 13:45:42 MSD
Advisory:

Обновление Хромиума до версии 35.

Что нового:

1. Собран на движке aura. Теперь всё меню не gtk'ашное и под темы не подстраивается. Новая фича гугла так сказать.
2. Собирается при помощи ninja
3. Он не поддерживает старый обычный flash и npapi плагины. Для флеша нужно использовать chromium-browser-pepper-flash. Он идёт в restricted.


Buildlists:

chromium-browser-stable
=======================
https://abf.rosalinux.ru/build_lists/1876026
https://abf.rosalinux.ru/build_lists/1876027

chromium-browser-pepper-flash
=============================
https://abf.rosalinux.ru/build_lists/1864772
https://abf.rosalinux.ru/build_lists/1864773
Comment 1 Vladimir Potapov 2014-05-22 14:45:39 MSD
Created attachment 2895 [details]
ss

icon double on rocketbar
Comment 2 Vladimir Potapov 2014-05-22 14:48:03 MSD
Created attachment 2896 [details]
ss2

Current IcedTea plugin don't work
Comment 3 Arkady L. Shane 2014-05-22 14:53:48 MSD
(In reply to comment #1)
> Created attachment 2895 [details]
> ss
> 
> icon double on rocketbar

Nothing changed with icons since last versions. Maybe some trouble in rocketbar.

(In reply to comment #2)
> Created attachment 2896 [details]
> ss2
> 
> Current IcedTea plugin don't work

Iced Tea is npapi. Won't work any more untill JAVA will use ppapi.
Comment 4 Vladimir Potapov 2014-05-22 15:13:31 MSD
(In reply to comment #3)
> (In reply to comment #1)
> > Created attachment 2895 [details]
> > ss
> > 
> > icon double on rocketbar
> 
> Nothing changed with icons since last versions. Maybe some trouble in
> rocketbar.
See screenshot. They are two different icons.


> (In reply to comment #2)
> > Created attachment 2896 [details]
> > ss2
> > 
> > Current IcedTea plugin don't work
> 
> Iced Tea is npapi. Won't work any more untill JAVA will use ppapi.
In this case, you need to offer an alternative
Comment 5 Arkady L. Shane 2014-05-22 16:54:48 MSD
I think one more icon connected with that chromium have another engine. Neither qt nor gtk. In GNOME such behaviour. I think that it is not very critically.

About JAVA. It won't work. This is Google position. To the end of this year they will do the same with MacOS and Windows. Alternative is only firefox at this time.
Comment 6 Vladimir Potapov 2014-05-23 12:33:29 MSD
Created attachment 2923 [details]
ss2

Also icon regression (small size)
Comment 7 Arkady L. Shane 2014-05-23 15:58:29 MSD
Ok. Small icon size fixed in this build:

https://abf.rosalinux.ru/build_lists/1877083
https://abf.rosalinux.ru/build_lists/1877084
Comment 8 Vladimir Potapov 2014-05-23 17:14:08 MSD
I found source of the issue. rosa-icons package content chromium-browser icon, for new chromium-browser the icon need update (or delete?)
Comment 9 Arkady L. Shane 2014-05-23 17:18:08 MSD
Rosa icons is internal rocket package. I won't to change it. In new aura build 64 was hardcoded as default size for linux. I've bumped it to 128 (as we did for gtk).

So size is fixed.
Comment 10 Vladimir Potapov 2014-05-23 17:22:15 MSD
(In reply to comment #9)
> Rosa icons is internal rocket package. I won't to change it. In new aura
> build 64 was hardcoded as default size for linux. I've bumped it to 128 (as
> we did for gtk).
> 
> So size is fixed.

В таких случаях мы обычно исправляем еще один пакет (здесь с иконкой) сразу и одновременно обновляем все связанные пакеты (функциональный подход, важно, чтоб после обновления ничего не стало работать хуже).
Надо провентилировать возможность быстрого обновления rosa-icons, я не думаю, что это очень сложно.
Comment 11 Arkady L. Shane 2014-05-23 17:24:28 MSD
Что там обновлять-то? Это мы сейчас про какой баг?
Comment 12 Vladimir Potapov 2014-05-23 17:26:31 MSD
(In reply to comment #11)
> Что там обновлять-то? Это мы сейчас про какой баг?
Обновлять пакет с роса-иконками. Бага нет - есть обновление как совокупность изменений пакетов, после которого должно быть все лучше, чем раньше.
Comment 13 Arkady L. Shane 2014-05-23 21:17:42 MSD
Я добавил разъяснения по поводу флеша и Java во время установки chromium:

https://abf.rosalinux.ru/build_lists/1877269
https://abf.rosalinux.ru/build_lists/1877270
Comment 14 Vladimir Potapov 2014-05-26 11:09:32 MSD
(In reply to comment #13)
> Я добавил разъяснения по поводу флеша и Java во время установки chromium:
> 
> https://abf.rosalinux.ru/build_lists/1877269
> https://abf.rosalinux.ru/build_lists/1877270

Еще проблемка при инсталляции

o enable flash, please, install chromium-browser-pepper-flash. If
you want to use Java plugin, you should use firefox at this time.
      3/4: chromium-browser-stable
                                 #############################################
ln: не удалось создать символьную ссылку «%{_cdir}/pepper/libppgoogletalk.so»: Нет такого файла или каталога
ln: не удалось создать символьную ссылку «%{_cdir}/pepper/libppo1d.so»: Нет такого файла или каталога
error: %post(chromium-browser-stable-35.0.1916.114-2.x86_64) scriptlet failed, exit status 1
      4/4: chromium-browser      #############################################
Comment 15 Arkady L. Shane 2014-05-26 16:40:19 MSD
А вот это баг.

Вот здесь я исправил макрос:
http://clck.ru/9DfHg

https://abf.rosalinux.ru/build_lists/1888799
https://abf.rosalinux.ru/build_lists/1888800
Comment 16 Arkady L. Shane 2014-05-27 13:02:47 MSD
ping?
Comment 17 Vladimir Potapov 2014-05-27 18:13:29 MSD
(In reply to comment #16)
> ping?
1) У меня почему-то не вываливаются комментарии к обновлению, когда в графике обновляешься. Должно в окошке быть.
2) Мы обычно делали и английский, и русский текст рядом. Можно так сделать?
Comment 18 Arkady L. Shane 2014-05-28 17:47:57 MSD
Кажется теперь ОК:

https://abf.rosalinux.ru/build_lists/1892381
https://abf.rosalinux.ru/build_lists/1892382
Comment 19 Arkady L. Shane 2014-05-30 12:04:52 MSD
Сборки с новой иконкой:

https://abf.rosalinux.ru/build_lists/1896303
https://abf.rosalinux.ru/build_lists/1896304
Comment 20 Vladimir Potapov 2014-05-30 15:43:37 MSD
chromium-browser-stable-35.0.1916.114-3
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1896303/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1896304/x86_64/main/release/

chromium-browser-pepper-flash-13.0.0.214-1
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1864772/i586/restricted/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1864773/x86_64/restricted/release/
***************************** Advisory **************************
The chromium update to 35 version
+ aura engine
+ ninja make
+ don't support npapi plugins
******************************************************************
QA Verified